xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) Jan Vornberger 2009
License | BSD3-style (see LICENSE)
Maintainer | jan.vornberger@informatik.uni-oldenburg.de
Stability | unstable
Portability | not portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Hooks.CurrentWorkspaceOnTop

Contents

- Usage

Description

Ensures that the windows of the current workspace are always in front of windows that are located on other visible screens. This becomes important if you use decoration and drag windows from one screen to another. Using this module, the dragged window will always be in front of other windows.

Synopsis

- currentWorkspaceOnTop :: X ()

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Hooks.CurrentWorkspaceOnTop

    main = xmonad $ def {
       ...
       logHook = currentWorkspaceOnTop
       ...
     }

currentWorkspaceOnTop :: X () #